Bug 76102 - emacs terminal not recognised
emacs terminal not recognised
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: xemacs (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-16 16:53 EDT by Reuben Thomas
Modified: 2015-01-07 19:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-05 20:09:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reuben Thomas 2002-10-16 16:53:03 EDT
Description of Problem:

When I start a shell in xemacs, I get an error "terminal type emacs not recognised" from 
/etc/profile's use of tput.

Version-Release number of selected component (if applicable):


How Reproducible:

Every time.

Steps to Reproduce:
1. Start XEmacs
2. M-x shell
3. 

Actual Results:


Expected Results:


Additional Information:
	
I reported this bug in earlier releases of RH and it was apparently fixed, although I didn't 
test the fix as at the time I was using my own build of XEmacs. I'm now using the 
supplied RPM and still get this problem. I may well have missed something, but for some 
reason I can't query Bugzilla at the moment to find out the story from last time.
Comment 1 Reuben Thomas 2002-10-16 17:01:37 EDT
Sorry, I mean /etc/bashrc, not /etc/profile.
Comment 2 Jens Petersen 2002-10-16 21:43:45 EDT
Perhaps you were thinking of bug 52660?

Anyway reproduced with bash.
Comment 3 Jens Petersen 2002-10-16 21:54:24 EDT
TERM=dumb may be one possible workaround.  Or perhaps TERM
emacs could be special cased in bashrc?

I need to look into this morning.
Comment 4 Reuben Thomas 2002-10-17 05:01:04 EDT
What I've always done is added "$TERM" != "emacs" before the call of tput 
in /etc/bashrc.

But I think the real fix is to add an emacs term description to the termcap 
and/or terminfo db. How was it fixed before?
Comment 5 Jens Petersen 2003-05-19 07:33:50 EDT
I just recalled that setting `system-uses-terminfo' to `t' fixes this.
Comment 6 Jens Petersen 2003-05-19 08:00:29 EDT
Setting it in default.el in next build.
Comment 7 Reuben Thomas 2003-05-19 15:28:09 EDT
I'm happy with this solution (I've put (setq system-uses-terminfo t) in my init.el) so you can close the bug if you like.

Note You need to log in before you can comment on or make changes to this bug.